"use strict";
/**
 * @license Apache-2.0
 * @copyright Cube Dev, Inc.
 * @fileoverview
 * toConfigMap function and related types definition.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.toConfigMap = void 0;
const ramda_1 = __importDefault(require("ramda"));
/**
 * Convert cpecified array of MetaConfig objects to the
 * MetaConfigMap.
 */
function toConfigMap(metaConfig) {
    return ramda_1.default.fromPairs(ramda_1.default.map((c) => [c.config.name, c.config], metaConfig));
}
exports.toConfigMap = toConfigMap;
exports.default = toConfigMap;
//# sourceMappingURL=toConfigMap.js.map