/**
 * @license Apache-2.0
 * @copyright Cube Dev, Inc.
 * @fileoverview
 * transformValue function and related types definition.
 */
/**
 * Query 'or'-filters type definition.
 */
type DBResponsePrimitive = null | boolean | number | string;
type DBResponseValue = Date | DBResponsePrimitive | {
    value: DBResponsePrimitive;
};
/**
 * Transform cpecified `value` with specified `type` to the network
 * protocol type.
 */
declare function transformValue(value: DBResponseValue, type: string): DBResponsePrimitive;
export default transformValue;
export { DBResponsePrimitive, DBResponseValue, transformValue, };
//# sourceMappingURL=transformValue.d.ts.map