"use strict";
/**
 * @license Apache-2.0
 * @copyright Cube Dev, Inc.
 * @fileoverview
 * transformValue function and related types definition.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformValue = void 0;
const moment_1 = __importDefault(require("moment"));
/**
 * Transform cpecified `value` with specified `type` to the network
 * protocol type.
 */
function transformValue(value, type) {
    // TODO: support for max time
    if (value && (type === 'time' || value instanceof Date)) {
        return (value instanceof Date
            ? (0, moment_1.default)(value)
            : moment_1.default.utc(value)).format(moment_1.default.HTML5_FMT.DATETIME_LOCAL_MS);
    }
    return value;
}
exports.transformValue = transformValue;
exports.default = transformValue;
//# sourceMappingURL=transformValue.js.map